package com.persagy.cache;

import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.constant.RedisConstant;
import com.persagy.entity.AlarmConditionState;
import org.apache.commons.lang3.StringUtils;
import org.springframework.data.redis.core.HashOperations;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.logging.Logger;

@Component
@SuppressWarnings({"unchecked", "rawtypes"})
public class AlarmRedisCache implements RedisCache {

    private static final Logger log = Logger.getLogger(String.valueOf(AlarmRedisCache.class));

    @Resource(name = "emsRedisTemplate")
    private RedisTemplate<String, String> emsRedisTemplate;


    public AlarmConditionState getAlarmDefineState(String defineId) {
        try {
            String str = emsRedisTemplate.opsForHash().get(RedisConstant.DEFINE_ID, defineId).toString();
            if (StringUtils.isNotBlank(str)) {
                JSONObject object = JSONObject.parseObject(str);
                AlarmConditionState alarmConditionState = JSON.toJavaObject(object, AlarmConditionState.class);
                return alarmConditionState;
            }
        } catch (Exception e) {
            log.warning("从redis获取报警定义状态失败" + e);
        }
        return null;
    }
}
